// this needs to be like a library export so i can eval it. i just import it instead of inject and that works.
import api from '@devvit/public-api/public-api.min.js?text';
import { SandboxedRuntimeLite } from '@devvit/runtime-lite/runtime/SandboxedRuntimeLite.js';
import { assignRuntime, startRuntime } from '@devvit/runtime-lite/workers/RuntimeLiteWorker.js';
// Sync to unsandboxed-pen-worker-script.ts.
const box = (globalThis.self ?? globalThis);
const runtime = new SandboxedRuntimeLite({ '@devvit/public-api': api });
assignRuntime(box, runtime);
await runtime.init();
startRuntime(box);
